List tools
curl --request GET \
--url https://api.cartesia.ai/v1/agents/tools \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>'import requests
url = "https://api.cartesia.ai/v1/agents/tools"
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Cartesia-Version': '<cartesia-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.cartesia.ai/v1/agents/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"api_schema": {
"method": "GET",
"url": "<string>",
"authentication": {
"mode": "basic_auth",
"password": {
"type": "secret",
"secret_description": "<string>"
},
"username": "<string>"
},
"path_params_schema": {},
"query_params_schema": {
"properties": {},
"required": [
"<string>"
]
},
"request_body_schema": {
"type": "string",
"constant_value": "<string>",
"description": "<string>",
"dynamic_variable": "<string>",
"enum": [
"<string>"
],
"items": "<unknown>",
"properties": {},
"required": [
"<string>"
]
},
"request_headers": {}
},
"assignments": [
{
"dynamic_variable": "<string>",
"value_path": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"execution_mode": "immediate",
"id": "<string>",
"name": "<string>",
"pre_tool_speech": "auto",
"response_timeout_secs": 20,
"type": "webhook",
"updated_at": "2023-11-07T05:31:56Z",
"agents": [
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
}
]
}
],
"has_more": true,
"next_page": "<string>"
}Tools
List Tools
Returns shared webhook and client tools for your account
GET
/
v1
/
agents
/
tools
List tools
Authorizations
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
Headers
API version header.
Available options:
2026-08-14 Example:
"2026-08-14"
Query Parameters
A cursor for pagination. Pass the ID of the last item from the previous page to fetch the next page.
A cursor for pagination. Pass the ID of the first item from the previous page to fetch the previous page.
The maximum number of items to return, ranging between 1 and 100.
Required range:
1 <= x <= 100Return only tools of this type.
Available options:
webhook, client Return only tools used by this agent.
Minimum string length:
1Response
200 - application/json
List tools
The requested page of results.
- Webhook tool
- Client tool
Show child attributes
Show child attributes
Whether more results are available after this page.
An ID that can be passed as starting_after or ending_before to get the next page of data.
Was this page helpful?